core.crypto

## Package core.crypto

### Types

DigitalSignature | `open class DigitalSignature : OpaqueBytes` A wrapper around a digital signature. The covering field is a generic tag usable by whatever is interpreting the signature. It isnt used currently, but experience from Bitcoin suggests such a feature is useful, especially when building partially signed transactions.
DummyPublicKey | `class DummyPublicKey : PublicKey, Comparable<PublicKey>`
NullPublicKey | `object NullPublicKey : PublicKey, Comparable<PublicKey>`
SecureHash | `sealed class SecureHash : OpaqueBytes`

### Extensions for External Classes

java.security.KeyPair |
java.security.PrivateKey |
java.security.PublicKey |
kotlin.ByteArray |

### Functions

generateKeyPair | `fun generateKeyPair(): KeyPair` A simple wrapper that will make it easier to swap out the EC algorithm we use in future
sha256 | `fun OpaqueBytes.sha256(): SHA256`